/* CFLAGS="-std=c99 -lwiringPi" make wiringpi-blink */
#include <stdlib.h>
#include <unistd.h>
#include <wiringPi.h>

int main() {
    /* WiringPi requires some setup. */
    wiringPiSetup();
    /* Make Wiring Pi pin 23 (GPIO 13 on model 3B) an output pin. */
    pinMode(23, OUTPUT);

    digitalWrite(23, HIGH);
    usleep(200000);
    digitalWrite(23, LOW);
    return EXIT_SUCCESS;
}
