#include <avr/io.h>

void init() {
    /* Toogle pin OC0 after 43 cycles. TCNT0 cycles in [0, 42]. */
    OCR0 = 42;

    /* Timer/counter control register for timer/counter 0. (p80)
     * Set (waveform generation) mode to 'CTC'.
     * Set compare match output mode of OC0 to 'toggle'.
     * Set clock select to internal clock without prescaler. */
    TCCR0 = (1 << WGM01) | (1 << COM00) | (1 << CS00);
}
