int main (int argc, char **argv) {

    /* A task that runs 20ms within 100ms periods. */
    struct sched_attr attr;
    memset(&attr, 0, sizeof(attr));
    attr.size = sizeof(attr);
    attr.sched_policy = SCHED_DEADLINE;
    attr.sched_runtime = 20000000;
    attr.sched_deadline = attr.sched_period = 100000000;

    int flags = 0;
    if (sched_setattr(0, &attr, flags) < 0) {
        perror("sched_setattr() failed");
        return EXIT_FAILURE;
    }

    /* The actual work... */
    work();
    return EXIT_SUCCESS;
}
